---
layout: markdown_page
title: "Product Kickoff Review"
---
<% keyValue = "12.10" # Set this to the next release we will kick off %> 
- TOC
{:toc}

## Overview

The next GitLab release we are kicking off is 
<%= keyValue %> 
and this page contains the list of issues that are currently planned for that release. We present this during the monthly kickoff call, which is livestreamed publicly to the [GitLab YouTube channel](https://www.youtube.com/channel/UCnMGQ8QHMAnVIsI3xJrihhg). 

In terms of meeting logistics, only presenters will be promoted to panelists so please use the “Raise my hand” feature if you are a presenter.
Please also use YouTube comments instead of Google Hangout or Zoom comments. During the meeting, Product Section leaders will present highlights from their respective areas. We will not cover each item in the list below, so feel free to click on any you're interested in and participate directly in the issue.

This page updates on the 22nd of each month to show the next release we will be kicking off. We also have [a YouTube playlist of the below referenced recorded Kickoffs](https://www.youtube.com/playlist?list=PL05JrBw4t0Kqhwb3gGeM-vHQuzI9IhcQa).

We'd appreciate it if you would be willing to provide us [feedback](
https://docs.google.com/forms/d/e/1FAIpQLSdNyIB_Rk3rn2-PI-5dWhb7rUfBLmGziTlbmeKYP-mFQEESQQ/viewform?usp=sf_link) on our Kickoff process.

## Dev Section

### Manage

**Video**: 
* [Manage: Access Kickoff Video](https://www.youtube.com/watch?v=cTx02q-mSVA)
* [Manage: Analytics Kickoff Video](https://www.youtube.com/watch?v=Uqt0Huoo3TI)
* [Manage: Compliance Kickoff Video](https://www.youtube.com/watch?v=GVqCrobIoc4)

**Issues**:
<%= direction[keyValue]["manage"] %>

### Plan

**Video**: 
* [Plan: Project Management Kickoff Video](https://www.youtube.com/watch?v=CRJ3_9OgU3M) 
* [Plan: Portfolio Management Kickoff Video](https://www.youtube.com/watch?v=w02r-IiDmNA)
* [Plan: Certify Kickoff Video](https://www.youtube.com/watch?v=7qKMDO7OF-o)

**Issues**:
<%= direction[keyValue]["plan"] %>

### Create

**Videos**:
* [Create:Source Code Kickoff Video](https://www.youtube.com/watch?v=qiPa_sCy6gA)
* [Create:Knowledge Kickoff Video](https://www.youtube.com/watch?v=pkEEhIPHG3U)
* [Create:Editor Kickoff Video](https://www.youtube.com/watch?v=PBtljN82NH0)
* [Create:Static Site Editor Kickoff Video](https://www.youtube.com/watch?v=ANbZbnNVD9Y)
* [Create:Ecosystem Kickoff Video](https://youtu.be/1Zw2LiaZXvI)

**Issues**:
<%= direction[keyValue]["create"] %>

## Ops Section

### Verify

**Videos**: 

* [Continuous Integration 12.9](https://www.youtube.com/watch?v=7zdAotB3Mag)
* [Runner 12.9](https://www.youtube.com/watch?v=hhnzteaQJlY)
* [Testing 12.10](https://www.youtube.com/watch?v=uf3_OaojNz0)

**Issues**:
<%= direction[keyValue]["verify"] %>

### Package

**Videos**: 

* [Package 12.10](https://youtu.be/Fs07pq_yf08)

**Issues**:
<%= direction[keyValue]["package"] %>

### Release

**Videos**: 

* [Release Management 12.10](https://youtu.be/jUbF9TOp2VU)
* [Progressive Delivery 12.9](https://youtu.be/_NCkSfrcyNg)

**Issues**:
<%= direction[keyValue]["release"] %>

### Configure

**Videos**: 
* [Configure:Orchestration Kickoff Video](https://www.youtube.com/watch?v=v0zEUFyHSwk&list=PL05JrBw4t0Kqhwb3gGeM-vHQuzI9IhcQa&index=22)
* [Configure:System Kickoff Video](https://www.youtube.com/watch?v=oIbDT7oDsy0&list=PL05JrBw4t0Kqhwb3gGeM-vHQuzI9IhcQa&index=24)

**Issues**:
<%= direction[keyValue]["configure"] %>

### Monitor

**Videos**: 
* [Monitor:APM Kickoff Video](https://www.youtube.com/watch?v=ZMxtWB9KVu4&list=PL05JrBw4t0Kqhwb3gGeM-vHQuzI9IhcQa&index=23)
* [Monitor:Health Kickoff Video](https://www.youtube.com/watch?v=mYgA11ER-64&list=PL05JrBw4t0Kqhwb3gGeM-vHQuzI9IhcQa&index=30)

**Issues**:
<%= direction[keyValue]["monitor"] %>

## Secure & Defend Section

### Secure

**Videos**: 
* [Static Analysis Kickoff Video](https://youtu.be/QwuX1XYY6Q0)
* [Dynamic Analysis Kickoff Video](https://youtu.be/rKT5CxxQXCY)
* [Composition Analysis Kickoff Video](https://youtu.be/UzqeHOnBk2Q)

**Issues**:
<%= direction[keyValue]["secure"] %>

### Defend

**Videos**: 
* [Threat Management Kickoff Video](https://youtu.be/ptcxSIBFGS0)
* [Runtime Application Security Kickoff Video](https://youtu.be/78wG_Miv_qc)
* [Application Infrastructure Security Kickoff Video](https://youtu.be/swDytbBLOEg)

**Issues**:
<%= direction[keyValue]["defend"] %>

## Enablement Section

### Enablement

**Videos**: 
* [Distribution Kickoff Video](https://youtu.be/gfiFEHTEgvU)
* [Geo Kickoff Video](https://youtu.be/UE9D3RfHadY)
* [Memory Kickoff Video](https://youtu.be/YyC67CLZs2w)
* [Database Kickoff Video](https://youtu.be/UjPWjlSL1Dc)

**Epics**:
- [Geo: Build a scalable, self-service geo replication and verification framework](https://gitlab.com/groups/gitlab-org/-/epics/2161)
- [Geo: Improved support for a planned failover](https://gitlab.com/groups/gitlab-org/-/epics/2148)
- [Geo: Enable Geo for Disaster Recovery on GitLab.com](https://gitlab.com/groups/gitlab-org/-/epics/575)
- [Geo: Selective sync should proxy to primary for unsynced data](https://gitlab.com/groups/gitlab-org/-/epics/2562)
- [Memory: Enable Puma on GitLab.com](https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/78)
- [Memory: Enable Puma WebServer for GitLab](https://gitlab.com/groups/gitlab-org/-/epics/954)
- [Memory: Improve project import/export](https://gitlab.com/groups/gitlab-org/-/epics/1810)
- [Database: Database Partitioning](https://gitlab.com/groups/gitlab-org/-/epics/2023) 
- [Distribution & Database: Move to Postgres 11](https://gitlab.com/groups/gitlab-org/-/epics/2184)
- [Distribution: Add support for Patroni](https://gitlab.com/groups/gitlab-org/-/epics/2588)
- [Distribution: Increasing the maturity of the cloud native install](https://gitlab.com/groups/gitlab-org/-/epics/2260)
- [Search: Enable Advanced Global Search for Paid groups on GitLab.com](https://gitlab.com/groups/gitlab-org/-/epics/1736)

**Issues**:
<%= direction[keyValue]["enablement"] %>
